Show / Hide Table of Contents

Class HealthChecker

The health check policy configuration. For more information, see Editing Health Check Policies.

Inheritance
object
HealthChecker
Inherited Members
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.LoadbalancerService.Models
Assembly: OCI.DotNetSDK.Loadbalancer.dll
Syntax
public class HealthChecker

Properties

DefaultWeight

Declaration
[JsonProperty(PropertyName = "defaultWeight")]
public int? DefaultWeight { get; set; }
Property Value
Type Description
int?

The fallback backend weight used when dynamic backend weights are enabled and the backend's HTTP health check response does not include a valid X-Dynamic-Backend-Weight header value.
This value is an integer from 1 through 100.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.
Example: 1

IntervalInMillis

Declaration
[JsonProperty(PropertyName = "intervalInMillis")]
public int? IntervalInMillis { get; set; }
Property Value
Type Description
int?

The interval between health checks, in milliseconds. The default is 10000 (10 seconds).
Example: 10000

IsDynamicBackendWeightEnabled

Declaration
[JsonProperty(PropertyName = "isDynamicBackendWeightEnabled")]
public bool? IsDynamicBackendWeightEnabled { get; set; }
Property Value
Type Description
bool?

Indicates whether dynamic backend weights are enabled for HTTP health checks.
When enabled, the load balancer reads the X-Dynamic-Backend-Weight header from each backend's HTTP health check response. The load balancer uses that value as the backend's effective weight when distributing traffic.
A valid header value is an integer from 0 through 100.
If the backend response does not include this header, or includes an invalid value, the load balancer uses defaultWeight.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.

IsForcePlainText

Declaration
[JsonProperty(PropertyName = "isForcePlainText")]
public bool? IsForcePlainText { get; set; }
Property Value
Type Description
bool?

Specifies if health checks should always be done using plain text instead of depending on whether or not the associated backend set is using SSL.
If "true", health checks will be done using plain text even if the associated backend set is configured to use SSL.
If "false", health checks will be done using SSL encryption if the associated backend set is configured to use SSL. If the backend set is not so configured the health checks will be done using plain text.
Example: false

Port

Declaration
[Required(ErrorMessage = "Port is required.")]
[JsonProperty(PropertyName = "port")]
public int? Port { get; set; }
Property Value
Type Description
int?

The backend server port against which to run the health check. If the port is not specified, the load balancer uses the port information from the Backend object.
Example: 8080

Remarks

Required

Protocol

Declaration
[Required(ErrorMessage = "Protocol is required.")]
[JsonProperty(PropertyName = "protocol")]
public string Protocol { get; set; }
Property Value
Type Description
string

The protocol the health check must use; either HTTP or TCP.
Example: HTTP

Remarks

Required

ResponseBodyRegex

Declaration
[Required(ErrorMessage = "ResponseBodyRegex is required.")]
[JsonProperty(PropertyName = "responseBodyRegex")]
public string ResponseBodyRegex { get; set; }
Property Value
Type Description
string

A regular expression for parsing the response body from the backend server.
Example: ^((?!false).|\s)*$

Remarks

Required

Retries

Declaration
[JsonProperty(PropertyName = "retries")]
public int? Retries { get; set; }
Property Value
Type Description
int?

The number of retries to attempt before a backend server is considered "unhealthy". This number also applies when recovering a server to the "healthy" state. Defaults to 3.
Example: 3

ReturnCode

Declaration
[Required(ErrorMessage = "ReturnCode is required.")]
[JsonProperty(PropertyName = "returnCode")]
public int? ReturnCode { get; set; }
Property Value
Type Description
int?

The status code a healthy backend server should return. If you configure the health check policy to use the HTTP protocol, you can use common HTTP status codes such as "200".
Example: 200

Remarks

Required

TimeoutInMillis

Declaration
[JsonProperty(PropertyName = "timeoutInMillis")]
public int? TimeoutInMillis { get; set; }
Property Value
Type Description
int?

The maximum time, in milliseconds, to wait for a reply to a health check. A health check is successful only if a reply returns within this timeout period. Defaults to 3000 (3 seconds).
Example: 3000

UrlPath

Declaration
[JsonProperty(PropertyName = "urlPath")]
public string UrlPath { get; set; }
Property Value
Type Description
string

The path against which to run the health check.
Example: /healthcheck

In this article
Back to top